{% extends 'base.html' %}

{% block title %}
Form {{ title }}
{% endblock %}

{% block body %}

{% if result %}
<h1>{{ result }}</h1>
{% else %}
<form action="/query" method="POST">
    {{ form.csrf_token }}
    {{ form.opts }}
    <ul>
        {% for error in form.opts.errors %}
        <li style="color:red;">{{ error }}</li>
        {% endfor %}
    </ul>
    <input type="submit">

</form>
{% endif %}

{% endblock %}